%define name	Wellenreiter
%define version	1.9
%define release %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A tool to discover and audit of 802.11b Wifi Networks
License:	GPL
Group:		Networking/Other
URL:		http://www.wellenreiter.net/
Source0:	%{name}-v%{version}.tar.bz2
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot
Requires:	perl-GTK

%description
Wellenreiter is a gtkperl program that makes the discovery and auditing
of 802.11b wireless networks much easier.  It has an embedded statistics
engine for common parameters provided by wireless drivers which enables
you to gather details about the consistency, signal strength, etc. of
the network.  For discovery of accesspoints / networks / ad-hoc cards,
Wellenreiter has an amazingly easy scanner window, which searches for
any accesspoint within range of the scanning device.  It detects and
differentiates essid broadcasting and non-broadcasting wireless networks
in every channel, doing frequency switching automatically.  The
manufacturer is detected by the device's MAC address.  WEP detection is
also implemented, and Wellenreiter detects and handles whenever the
beacon broadcasting machine is a true accesspoint or an AD-Hoc mode
station.  Detecting essid's of non-broadcasting networks is possible and
gps support is also built in. Also a uniq essid bruteforcer is included now.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c %{name}-v%{version}

%build

%install
install -d -m 755 %{buildroot}%{_sbindir}
#install -d -m 755 %{buildroot}%{_datadir}/%{name}/sounds/
install -m 755 %{name}.pl %{buildroot}%{_sbindir}/%{name}
#install -m 755 config.pl %{buildroot}%{_sbindir}/%{name}-config
#install -m 644 sounds/* %{buildroot}%{_datadir}/%{name}/sounds/
chmod 644 docs/* README CHANGES KNOWN-BUGS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/* README CHANGES KNOWN-BUGS
%{_sbindir}/%{name}
#%{_sbindir}/%{name}-config
#%{_datadir}/%{name}/sounds/*


%changelog
* Thu Feb 15 2007 Lenny Cartier <lenny@mandriva.com> 1.9-4mdv2007.0
+ Revision: 121373
- Rebuild
- Import Wellenreiter



* Tue Mar 21 2006 Lenny Cartier <lenny@mandriva.com> 1.9-3mdk
- rebuild

* Fri Nov 14 2003 Austin Acton <aacton@yorku.ca> 1.9-2mdk
- oops, perl-Net-Pcap is automatic

* Mon Nov 10 2003 Austin Acton <aacton@yorku.ca> 1.9-1mdk
- 1.9
- requires perl-Net-pcap
- new URL

* Thu Apr 10 2003 Laurent Culioli <laurent@pschit.net> 1.6-2mdk
- grrrr fix url

* Thu Apr 10 2003 Laurent Culioli <laurent@pschit.net> 1.6-1mdk
- first mdk release
